name: build
on:
  push:
    branches: master
  pull_request:
    branches:
      - master

jobs:
  build:
    runs-on: ubuntu-latest
    container:
      image: ghcr.io/catthehacker/ubuntu:runner-latest
    steps:
      - uses: actions/checkout@v3
      - uses: cachix/install-nix-action@v27
      - run: nix flake check
      - run: nix build
